SETUP_REPAIR-FILE-PERMISSIONS(1)

NAME
setup_repair-file-permissions -

DESCRIPTION

Resets permissions on a given file to an appropriate access level for sensitive files. Generally this is used to fix permissions on a private key file or config file to meet the requirements of the CLI. On Windows, full control will be given to System, Administrators, and the current user. On Unix, Read / Write permissions will be given to the current user.

USAGE

oci setup repair-file-permissions [OPTIONS]

REQUIRED PARAMETERS

--file [text]

    The file to repair permissions on.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle